#:kivy 1.11.1

# Here a compulsory import
#:import MDDropdownMenu kivymd.uix.menu.MDDropdownMenu

<CameraTab>:
    text: "crosshairs-gps"

    steps: steps_slider.value
    pixel_size: pixel_slider.value
    bound: bound_slider.value
    julia_active: julia_switch.active

    BoxLayout:
        orientation: "vertical"
#        spacing: dp(10)
        BoxLayout:
            orientation: "horizontal"
            MDLabel:
                text: "Mandelbrot"
            MDSwitch:
                size_hint_x: None
                width: dp(48)
                id: julia_switch
            MDLabel:
                text: "Julia"

        MDTextField:
            text: str(root.camera.center)
            on_text_validate: root.set_camera_center(self.text)
        LabeledSlider:
            text: "Pixel size"
            id: pixel_slider
            min: 1
            max: 10
            step: 1
            value: 1

        LogLabeledSlider:
            text: "Steps"
            value: root.steps
            id: steps_slider
            min: 5
            max: 14
            value: root.steps

        LogLabeledSlider:
            text: "Bound"
            id: bound_slider
            min: 1
            max: 30
            value: root.bound

        MDFillRoundFlatIconButton:
            pos_hint: {"center_x": .5}
            icon: 'chevron-down'
            text: "Coloration"
            size_hint_x: 0.9
            on_release: MDDropdownMenu(items=root.kind_items, width_mult=3).open(self)

        Label:
            # For better spacing
            size_hint_y: 6

        BoxLayout:
            orientation: "horizontal"
            MDIconButton:
                size_hint_x: 1/6
                icon: "plus"
                on_press: root.camera.height /= 1.4
            MDIconButton:
                size_hint_x: 1/6
                icon: "minus"
                on_press: root.camera.height *= 1.4
            MDIconButton:
                size_hint_x: 1/6
                icon: "arrow-left"
                on_press: root.camera.center -= root.camera.width / 5
            MDIconButton:
                size_hint_x: 1/6
                icon: "arrow-right"
                on_press: root.camera.center += root.camera.width / 5
            MDIconButton:
                size_hint_x: 1/6
                icon: "arrow-up"
                on_press: root.camera.center += root.camera.height / 5 * 1j
            MDIconButton:
                size_hint_x: 1/6
                icon: "arrow-down"
                on_press: root.camera.center -= root.camera.height / 5 * 1j

        MDRaisedButton:
            text: "Random position"
            on_release: root.set_random_position()
            size_hint_x: 1
